#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID


echo "Installing statexplorer dependencies"
pushd "/usr/share/ombutel/www/statexplorer/api/scripts" > /dev/null
rm -rf node_modules
rm -rf package.json
rm -rf package-lock.json
popd > /dev/null
pushd "/usr/share/ombutel/www/statexplorer/api/scripts/autoexport" > /dev/null
cat > package.json <<- "EOF"
{
  "description": "Autoexport module for statexplorer",
  "repository": {},
  "license": "CC-BY-NC-4.0",
  "type": "module",
  "dependencies": {
    "args-parser": "^1.3.0",
    "commander": "^9.4.1",
    "jszip": "^3.6.0",
    "node-fetch": "2.6.1",
    "puppeteer": "^19.3.0"
  }
}
EOF
npm install > /dev/null
popd > /dev/null

echo "Fixing cron task"
echo "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin" > /etc/cron.d/statexplorerexport
echo "* * * * * root nice -n 19 php /usr/share/ombutel/www/statexplorer/api/scripts/autoexport/run_autoexport.php >> /var/log/statexplorerexport.log 2>&1" >> /etc/cron.d/statexplorerexport
